# ProblemGroup

@Incubating
@Immutable
abstract class ProblemGroup

Represents a group of problems.

Groups are organized in hierarchy where the parent group should represent the more broad problem group.

Two problem groups are considered equal if their getName and their parents are equal.

#### Since

8.8

#### See also

ProblemId

## Functions

create
Link copied to clipboard
open fun create(name: String, displayName: String): ProblemGroup
Creates a new root problem i.e.
open fun create(name: String, displayName: String, @Nullable parent: @Nullable ProblemGroup): ProblemGroup
Creates a new problem group.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns a human-readable label describing the group.
getName
Link copied to clipboard
abstract fun getName(): String
The name of the problem group.
getParent
Link copied to clipboard
@Nullable
abstract fun getParent(): @Nullable ProblemGroup
Returns the parent group or `null` for root groups.